%define name ssystem
%define version 1.6
%define release 1

Summary: An OpenGL Solar System simulator
Name: %{name}
Version: %{version}
Release: %{release}
Group: Amusements/Graphics
Copyright: GPL
Url: http://www.wam.umd.edu/~kamelkev/Ssystem/
Packager: Duncan <duncan_haldane@users.sourceforge.net>
Source: %{name}-%{version}.tar.gz
Source1: ssystem-1.6-hires.tar.gz 
Patch: ssystem-1.6-redhat.patch
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root
Requires: Mesa >= 3.4  libjpeg
BuildPrereq: Mesa-devel libjpeg-devel

%description
Ssystem is an OpenGL Solar System simulator. It will let you visit the Sun,
the nine planets and a few major satellites with four different camera
modes. Although it is not 100%% accurate, planets' positions in a given date
are within a range of the real positions.

%changelog
* Thu Aug 8  2001 Duncan <duncan_haldane@users.sourceforge.net>
- rpm package for  RedHat systems
* Fri Jun 18 1999 - snwint@suse.de
- moved data dir to /usr/share/ssystem; config file to ~/.ssystemrc
- hi-res earth map is taken by default

%prep

%setup -n %{name}-%{version}
%setup -T -D -a 1
cp -p hires/README README.hires

%patch -p1

%build
export RH_CFLAGS="$RPM_OPT_FLAGS"
make

%install
install -d $RPM_BUILD_ROOT/usr/share/ssystem
install -d $RPM_BUILD_ROOT/usr/share/doc
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/man/man6
make PREFIX=$RPM_BUILD_ROOT/usr install
install -m 644 ssystem.6 $RPM_BUILD_ROOT/usr/man/man6
cd $RPM_BUILD_ROOT/usr/share
chmod 0755 ssystem
chmod 0755 ssystem/hires

%clean
#rm -r $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/share/ssystem
%doc INSTALAR INSTALL LEEME LICENSE TODO CHANGES
%doc README README.3D README.hires
%attr(755,root,root) /usr/bin/ssystem
%attr(644,root,root) /usr/man/man6/ssystem.6*














